/**
  *  \file client/widgets/engineinfo.h
  *  \brief WEngineInfoDiagram widget
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_ENGINEINFO_H
#define PCC_V2_CLIENT_WIDGETS_ENGINEINFO_H

#include "ui/ui.h"

class WEngineInfoDiagram : public UIWidget {
    int engine;
 public:
    WEngineInfoDiagram();
    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
    void setEngine(int n);
};

#endif
